CVE-2005-0265
CVSS7.5
发布时间 :2005-05-02 00:00:00
修订时间 :2016-10-17 23:09:12
NMCO    

[原文]Multiple SQL injection vulnerabilities in browse.php in OWL 0.7 and 0.8 allow remote attackers to execute arbitrary SQL commands via the (1) parent or (2) sortposted parameter.


[CNNVD]Owl Intranet Engine多个跨站脚本和SQL注入漏洞(CNNVD-200505-679)

        OWL 0.7和0.8版本内的browser.php存在多个SQL注入漏洞,远程攻击者可以通过(1)parent或(2)sortposted 参数来执行任意SQL命令。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:owl:owl_intranet_engine:0.7
cpe:/a:owl:owl_intranet_engine:0.8

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-0265
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-0265
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200505-679
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=110461644407935&w=2
(UNKNOWN)  BUGTRAQ  20050101 Various Vulnerabilities in OWL Intranet Engine
http://www.securityfocus.com/bid/12114
(PATCH)  BID  12114
http://xforce.iss.net/xforce/xfdb/18704
(UNKNOWN)  XF  owl-intranet-engine-sql-injection(18704)

- 漏洞信息

Owl Intranet Engine多个跨站脚本和SQL注入漏洞
高危 SQL注入
2005-05-02 00:00:00 2005-10-20 00:00:00
远程  
        OWL 0.7和0.8版本内的browser.php存在多个SQL注入漏洞,远程攻击者可以通过(1)parent或(2)sortposted 参数来执行任意SQL命令。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        Owl Owl Intranet Engine 0.6
        Owl Owl-0.80.tar.gz
        http://prdownloads.sourceforge.net/owl/Owl-0.80.tar.gz?download
        Owl Owl Intranet Engine 0.7
        Owl Owl-0.80.tar.gz
        http://prdownloads.sourceforge.net/owl/Owl-0.80.tar.gz?download
        Owl Owl Intranet Engine 0.71
        Owl Owl-0.80.tar.gz
        http://prdownloads.sourceforge.net/owl/Owl-0.80.tar.gz?download
        Owl Owl Intranet Engine 0.72
        Owl Owl-0.80.tar.gz
        http://prdownloads.sourceforge.net/owl/Owl-0.80.tar.gz?download
        Owl Owl Intranet Engine 0.73
        Owl Owl-0.80.tar.gz
        http://prdownloads.sourceforge.net/owl/Owl-0.80.tar.gz?download
        

- 漏洞信息

12678
Owl Intranet Engine browse.php Multiple Parameter SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity
Exploit Public

- 漏洞描述

Owl contains a flaw that may allow a malicious user to execute arbitrary code. The issue is triggered when a malicious user submits a specially crafted input to the parent and sortposted parameters of browse.php. It is possible that the flaw may allow SQL injection resulting in a loss of integrity.

- 时间线

2005-01-01 Unknow
2005-01-01 Unknow

- 解决方案

Upgrade to version 0.81 or higher, as it has been reported to fix this vulnerability. In addition, Owl has released a patch for some older versions.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站